declare const CProgress: import("vue").DefineComponent<{
    /**
     * Use to animate the stripes right to left via CSS3 animations.
     */
    animated: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors.
     *
     * @default 'primary'
     * @values 'primary', 'secondary', 'success', 'danger', 'warning', 'info', 'dark', 'light'
     */
    color: {
        type: StringConstructor;
        default: string;
        require: boolean;
        validator: (value: string) => boolean;
    };
    /**
     * Set the height of component.
     */
    height: {
        type: NumberConstructor;
        default: undefined;
        required: false;
    };
    /**
     * The percent to progress the ProgressBar.
     *
     * @default 0
     */
    value: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    /**
     * Set the progress bar variant to optional striped.
     *
     * @values 'striped'
     */
    variant: {
        type: StringConstructor;
        default: string;
        require: boolean;
        validator: (value: string) => boolean;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    animated?: unknown;
    color?: unknown;
    height?: unknown;
    value?: unknown;
    variant?: unknown;
} & {
    animated: boolean;
    color: string;
    value: number;
    variant: string;
} & {
    height?: number | undefined;
}>, {
    animated: boolean;
    color: string;
    height: number;
    value: number;
    variant: string;
}>;
export { CProgress };
